<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <NoWarn>CS8765;CS8622;CS8612;CS0108;CS8602;CS8620;CS8618;CS8603;CS8767;CS8625;CS8604;CS8600;CS8604;CS8601</NoWarn>    
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="8.0.13" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="8.0.13" PrivateAssets="all" />
    <PackageReference Include="Microsoft.Extensions.Http" Version="9.0.3" PrivateAssets="all" />
    <PackageReference Include="Microsoft.AspNetCore.Components.Authorization"  Version="8.0.13" PrivateAssets="all" />
    <PackageReference Include="MudBlazor" Version="8.3.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\MarketDataLib\MarketDataLib.csproj" />
  </ItemGroup>

</Project>
